void draw()
{
//draw soccer field
  fill(2,50,0);
stroke(255);
strokeWeight(2);
rect (200,100,800,500);
ellipseMode(CENTER);
stroke(255);
strokeWeight(3);
ellipse(290,350,150,150);
ellipse(910,350,150,150);
rect(200,200,130,300);
rect(870,200,130,300);
rect(200,275,50,150);
rect(950,275,50,150);
line (600,100,600,600);
ellipse(600,350,180,180);

//draw yellow jersey
fill(250,221,3);
noStroke();
rect (50,120,100,30);
rect (70,150,60,70);
stroke(2,50,0);
strokeWeight(3);
ellipseMode(CENTER);
ellipse(100,125,30,15);
ellipse(100,550,50,50);
     textFont(myHelvetica24);
     textAlign(CENTER,CENTER);
     fill(2,50,0);
     text("SPL",leftMargin*3.3,topMargin+7*heightChange);

//draw yellow jersey
fill (28,149,232);
noStroke();
rect (1050,120,100,30);
rect (1070,150,60,70);
stroke(2,50,0);
strokeWeight(3);
ellipseMode(CENTER);
ellipse(1100,125,30,15);
ellipse(1100,550,50,50);
     textFont(myHelvetica24);
     textAlign(CENTER,CENTER);
     fill(2,50,0);
     text("NYT",width+leftMargin*16.7,topMargin+7*heightChange);

smooth( );
fill(192, 0, 0);
noStroke( );
for (int row = 0; row < rowCount; row++) {
String abbrev = dataTable.getRowName(row);
float x = locationTable.getFloat(abbrev, 1);
float y = locationTable.getFloat(abbrev, 2);
drawData(x, y, abbrev);
}
}

void drawData(float x, float y, String abbrev) {
float value = dataTable.getFloat(abbrev, 1);
float radius = 0;
if (value >= 0) {
radius = map(value, 0, dataMax, 1.75, 25);
fill(250,221,3); // yellow
} else {
radius = map(value, 0, dataMin, 1.75, 25);
fill(28,149,232); // blue
}
ellipseMode(RADIUS);
ellipse(x, y, radius, radius);

if (dist(x, y, mouseX, mouseY) < radius+2) {
fill(255);
textAlign(CENTER);
// Show the data value and the state abbreviation in parentheses.
text(value + " " + abbrev, 600, 350);
}
}

